Create Agent
curl --request POST \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"call_config": {
"max_call_duration_ms": 3600000,
"ring_duration_ms": 30000
},
"knowledge_base_config": {
"chunks_to_retrieve": 5,
"similarity_threshold": 0.75
}
}
'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents"
payload = {
"name": "b",
"call_config": {
"max_call_duration_ms": 3600000,
"ring_duration_ms": 30000
},
"knowledge_base_config": {
"chunks_to_retrieve": 5,
"similarity_threshold": 0.75
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'b',
call_config: {max_call_duration_ms: 3600000, ring_duration_ms: 30000},
knowledge_base_config: {chunks_to_retrieve: 5, similarity_threshold: 0.75}
})
};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"version": null,
"numbers": [],
"id": "01kqh44e4g7ec2h7z372qvz92k",
"name": "My Agent",
"status": "draft",
"call_config": {
"max_call_duration_ms": 2108804,
"ring_duration_ms": 35396
},
"llm_config": {
"provider": "mistral",
"model": "mistral-tiny",
"knowledge_base_ids": [],
"tools": []
},
"prompt_config": {
"prompt": "You are a helpful assistant for Acme Co. Greet the caller, identify their need, and assist them politely.",
"first_speaker": "ai",
"ai_speak_after_silence": false,
"ai_speak_wait_time": 4.1,
"welcome_message_type": "dynamic",
"welcome_message": null
},
"stt_config": {
"model": "universal-streaming-english",
"provider": "assemblyai"
},
"tts_config": {
"voice_id": "5601c8f4-9fee-3c15-b93d-e34b88b648fd",
"streaming_latency": 3,
"speed_alpha": null,
"provider": "elevenlabs",
"model": "eleven_monolingual_v1",
"ambient_sound_volume": 1,
"responsiveness": 1,
"interruption_sensitivity": 1,
"enable_backchannel": true,
"backchannel_frequency": 0.8,
"reminder_trigger_ms": 10000
},
"workspace_id": "01kqh44e41j0whyxxxjhtvythz",
"created_at": "2026-05-01T06:38:03+00:00",
"updated_at": "2026-05-01T06:38:03+00:00",
"published_at": null
}
}Agents
Create Agent
Create a new agent
POST
/
api
/
v1
/
agents
Create Agent
Authorizations
Bearer token authentication
Body
application/json
Must not be greater than 255 characters.
Example:
"b"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
201 - application/json
Show child attributes
Show child attributes

